// data from https://github.com/leonbrandt/yt-itag

let itag_formats =

[
{
    "audioBitrate": 96,
    "audioCodec": "AAC",
    "audioQuality": "AUDIO_QUALITY_LOW",
    "audioSampleRate": 44100,
    "container": "mp4",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 18,
    "quality": "medium",
    "qualityLabel": "360p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 192,
    "audioCodec": "AAC",
    "audioQuality": "AUDIO_QUALITY_MEDIUM",
    "audioSampleRate": 44100,
    "container": "mp4",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 22,
    "quality": "hd720",
    "qualityLabel": "720p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 48,
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "ts",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 91,
    "quality": null,
    "qualityLabel": "144p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 48,
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "ts",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 92,
    "quality": null,
    "qualityLabel": "240p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 128,
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "ts",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 93,
    "quality": null,
    "qualityLabel": "360p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 128,
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "ts",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 94,
    "quality": null,
    "qualityLabel": "480p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 256,
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "ts",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 95,
    "quality": null,
    "qualityLabel": "720p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 256,
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "ts",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 96,
    "quality": null,
    "qualityLabel": "1080p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 133,
    "quality": "small",
    "qualityLabel": "240p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 134,
    "quality": "medium",
    "qualityLabel": "360p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 135,
    "quality": "large",
    "qualityLabel": "480p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 136,
    "quality": "hd720",
    "qualityLabel": "720p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 137,
    "quality": "hd1080",
    "qualityLabel": "1080p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 138,
    "quality": "highres",
    "qualityLabel": "4320p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": 48,
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": true,
    "hasVideo": false,
    "itag": 139,
    "quality": null,
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": 128,
    "audioCodec": "AAC",
    "audioQuality": "AUDIO_QUALITY_MEDIUM",
    "audioSampleRate": "44100",
    "container": "mp4",
    "hasAudio": true,
    "hasVideo": false,
    "itag": 140,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 160,
    "quality": "tiny",
    "qualityLabel": "144p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 242,
    "quality": "small",
    "qualityLabel": "240p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 243,
    "quality": "medium",
    "qualityLabel": "360p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 244,
    "quality": "large",
    "qualityLabel": "480p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 247,
    "quality": "hd720",
    "qualityLabel": "720p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 248,
    "quality": "hd1080",
    "qualityLabel": "1080p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": "48",
    "audioCodec": "OPUS",
    "audioQuality": "AUDIO_QUALITY_LOW",
    "audioSampleRate": "48000",
    "container": "webm",
    "hasAudio": true,
    "hasVideo": false,
    "itag": 249,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": "64",
    "audioCodec": "OPUS",
    "audioQuality": "AUDIO_QUALITY_LOW",
    "audioSampleRate": "48000",
    "container": "webm",
    "hasAudio": true,
    "hasVideo": false,
    "itag": 250,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": "160",
    "audioCodec": "OPUS",
    "audioQuality": "AUDIO_QUALITY_MEDIUM",
    "audioSampleRate": "48000",
    "container": "webm",
    "hasAudio": true,
    "hasVideo": false,
    "itag": 251,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 264,
    "quality": "hd1440",
    "qualityLabel": "1440p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 266,
    "quality": "hd2160",
    "qualityLabel": "2160p",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 271,
    "quality": "hd1440",
    "qualityLabel": "1440p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 272,
    "quality": "highres",
    "qualityLabel": "4320p60",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 278,
    "quality": "tiny",
    "qualityLabel": "144p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 298,
    "quality": "hd720",
    "qualityLabel": "720p60",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 299,
    "quality": "hd1080",
    "qualityLabel": "1080p60",
    "videoCodec": "AVC"
},
{
    "audioBitrate": "128",
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": "48000",
    "container": "mp4",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 300,
    "quality": null,
    "qualityLabel": "720p60",
    "videoCodec": "AVC"
},
{
    "audioBitrate": "128",
    "audioCodec": "AAC",
    "audioQuality": null,
    "audioSampleRate": "48000",
    "container": "mp4",
    "hasAudio": true,
    "hasVideo": true,
    "itag": 301,
    "quality": null,
    "qualityLabel": "1080p60",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 302,
    "quality": "hd720",
    "qualityLabel": "720p60",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 303,
    "quality": "hd1080",
    "qualityLabel": "1080p60",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 304,
    "quality": "hd1440",
    "qualityLabel": "1440p60",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 305,
    "quality": "hd2160",
    "qualityLabel": "2160p60",
    "videoCodec": "AVC"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 308,
    "quality": "hd1440",
    "qualityLabel": "1440p60",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 313,
    "quality": "hd2160",
    "qualityLabel": "2160p",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 315,
    "quality": "hd2160",
    "qualityLabel": "2160p60",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": "AAC",
    "audioQuality": "AUDIO_QUALITY_MEDIUM",
    "audioSampleRate": "44100",
    "container": "mp4",
    "hasAudio": true,
    "hasVideo": false,
    "itag": 327,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 330,
    "quality": "tiny",
    "qualityLabel": "144p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 331,
    "quality": "small",
    "qualityLabel": "240p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 332,
    "quality": "medium",
    "qualityLabel": "360p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 333,
    "quality": "large",
    "qualityLabel": "480p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 334,
    "quality": "hd720",
    "qualityLabel": "720p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 335,
    "quality": "hd1080",
    "qualityLabel": "1080p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 336,
    "quality": "hd1440",
    "qualityLabel": "1440p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "webm",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 337,
    "quality": "hd2160",
    "qualityLabel": "2160p60 HDR",
    "videoCodec": "VP9"
},
{
    "audioBitrate": null,
    "audioCodec": "OPUS",
    "audioQuality": "AUDIO_QUALITY_MEDIUM",
    "audioSampleRate": "48000",
    "container": "webm",
    "hasAudio": true,
    "hasVideo": false,
    "itag": 338,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": null,
    "hasVideo": null,
    "itag": 386,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": null,
    "hasVideo": null,
    "itag": 387,
    "quality": "tiny",
    "qualityLabel": null,
    "videoCodec": null
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 394,
    "quality": "tiny",
    "qualityLabel": "144p",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 395,
    "quality": "small",
    "qualityLabel": "240p",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 396,
    "quality": "medium",
    "qualityLabel": "360p",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 397,
    "quality": "large",
    "qualityLabel": "480p",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 398,
    "quality": "hd720",
    "qualityLabel": "720p60",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 399,
    "quality": "hd1080",
    "qualityLabel": "1080p60",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 400,
    "quality": "hd1440",
    "qualityLabel": "1440p60",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 401,
    "quality": "hd2160",
    "qualityLabel": "2160p60",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 402,
    "quality": "highres",
    "qualityLabel": "4320p60",
    "videoCodec": "AV1"
},
{
    "audioBitrate": null,
    "audioCodec": null,
    "audioQuality": null,
    "audioSampleRate": null,
    "container": "mp4",
    "hasAudio": false,
    "hasVideo": true,
    "itag": 571,
    "quality": "highres",
    "qualityLabel": "4320p60",
    "videoCodec": "AV1"
}]


;